The highlighting-kate package

[Tags: gpl, library]

highlighting-kate is a syntax highlighting library with support for nearly one hundred languages. The syntax parsers are automatically generated from Kate syntax descriptions (http://kate-editor.org/), so any syntax supported by Kate can be added. An (optional) command-line program is provided, along with a utility for generating new parsers from Kate XML syntax descriptions.


Properties

Versions0.2, 0.2.1, 0.2.3, 0.2.4, 0.2.5, 0.2.5.1, 0.2.6, 0.2.6.1, 0.2.6.2, 0.2.7, 0.2.7.1, 0.2.8.1, 0.2.8.2, 0.2.9, 0.2.10, 0.3, 0.3.1, 0.4, 0.5, 0.5.0.1, 0.5.0.2, 0.5.0.3, 0.5.0.4, 0.5.0.5, 0.5.0.6, 0.5.1, 0.5.2, 0.5.3, 0.5.3.1, 0.5.3.2, 0.5.3.3, 0.5.3.4, 0.5.3.5, 0.5.3.6, 0.5.3.7, 0.5.3.8, 0.5.3.9, 0.5.4, 0.5.5, 0.5.5.1, 0.5.6, 0.5.6.1, 0.5.7, 0.5.7.1, 0.5.8, 0.5.8.1, 0.5.8.2, 0.5.8.3, 0.5.8.4, 0.5.8.5, 0.5.9, 0.5.10, 0.5.11, 0.5.11.1
Dependenciesbase (<3), blaze-html (>=0.4.2 && <0.5), containers, filepath, mtl, parsec, pcre-light or
base (<3), blaze-html (>=0.4.2 && <0.5), containers, filepath, mtl, parsec, regex-pcre-builtin or
base (>=3 && <5), blaze-html (>=0.4.2 && <0.5), containers, filepath, mtl, parsec, pcre-light or
base (>=3 && <5), blaze-html (>=0.4.2 && <0.5), containers, filepath, mtl, parsec, regex-pcre-builtin
LicenseGPL
AuthorJohn MacFarlane
Maintainerjgm@berkeley.edu
CategoryText
Home pagehttp://github.com/jgm/highlighting-kate
Source repositoryhead: git clone git://github.com/jgm/highlighting-kate.git
ExecutablesHighlight
UploadedWed Jan 25 19:37:32 UTC 2012 by JohnMacFarlane
DistributionsDebian:0.5.8.5, Fedora:0.5.6, FreeBSD:0.5.3.9, NixOS:0.5.11, Stackage:0.5.11.1
Downloads58382 total (1654 in last 30 days)
StatusDocs uploaded by user
Build status unknown [no reports yet]

Modules

[Index]

Flags

NameDescriptionDefault
splitbaseChoose the new, smaller, split-up base package.Enabled
executableBuild the Highlight executable.Disabled
pcre-lightUse the pcre-light library instead of regex-pcre-builtinDisabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees